---
suite: vm-scalability
testcase: swapin
category: benchmark
timeout: 50m
perf-profile:
disk: 1HDD
swap:
swapin_setup:
  size: 8G
  nr_task: 8
swapin:
job_origin: swapin.yaml
arch: x86_64
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- SWAP: "y"
- MMU: "y"
- BLOCK: "y"
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- SWAP: "y"
- MMU: "y"
- BLOCK: "y"
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
cpufreq_governor: performance
sanity-check:
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-cfl-e1
tbox_group: lkp-cfl-e1
branch: linus/master
commit: 7277433096f6ce4a84a1620529ac4ba3e1041ee1
repeat_to: 3
job_file: "/lkp/jobs/scheduled/lkp-cfl-e1/swapin-performance-1HDD-8-8G-debian-12-x86_64-20240206.cgz-7277433096f6-20250423-91841-1ihjkd8-1.yaml"
id: c5c4981ba7e2182f01f48e33e388f63dcf1bca0a
queuer_version: "/zday/lkp"
model: Coffee Lake-E
nr_node: 1
nr_cpu: 16
memory: 32G
nr_hdd_partitions: 1
hdd_partitions: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part2"
swap_partitions: LABEL=SWAP
rootfs_partition: "/dev/disk/by-id/ata-ST1000DM010-2EP102_W9APNAR5-part1"
brand: Intel(R) Xeon(R) E-2278G CPU @ 3.40GHz
ucode: '0xfa'
need_kconfig_hw:
- PTP_1588_CLOCK: "y"
- IGB: "y"
- SATA_AHCI
rootfs: debian-12-x86_64-20240206.cgz
kconfig: x86_64-rhel-9.4
enqueue_time: 2025-04-23 16:26:19.329272243 +08:00
compiler: gcc-12
_rt: "/result/swapin/performance-1HDD-8-8G/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/7277433096f6ce4a84a1620529ac4ba3e1041ee1"
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20250423-155637"
max_uptime: 3000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/swapin/performance-1HDD-8-8G/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/7277433096f6ce4a84a1620529ac4ba3e1041ee1/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-12/7277433096f6ce4a84a1620529ac4ba3e1041ee1/vmlinuz-6.13.0-rc6-00268-g7277433096f6
- branch=linus/master
- job=/lkp/jobs/scheduled/lkp-cfl-e1/swapin-performance-1HDD-8-8G-debian-12-x86_64-20240206.cgz-7277433096f6-20250423-91841-1ihjkd8-1.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=7277433096f6ce4a84a1620529ac4ba3e1041ee1
- intremap=posted_msi
- max_uptime=3000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-12/7277433096f6ce4a84a1620529ac4ba3e1041ee1/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20241102.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-11066801dd4b-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/vm-scalability_20241103.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/vm-scalability-x86_64-6f4ef16-0_20241103.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-f3f2b1a4-1_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-cfl-e1/swapin-performance-1HDD-8-8G-debian-12-x86_64-20240206.cgz-7277433096f6-20250423-91841-1ihjkd8-1.cgz"
last_kernel: 6.15.0-rc3-32187-g4fadf925ab8d
acpi_rsdp: '0x000f0510'
bad_samples:
- 17335
- 18298
- 19533

#! queue options

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-12/7277433096f6ce4a84a1620529ac4ba3e1041ee1/vmlinuz-6.13.0-rc6-00268-g7277433096f6"
result_root: "/result/swapin/performance-1HDD-8-8G/lkp-cfl-e1/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4/gcc-12/7277433096f6ce4a84a1620529ac4ba3e1041ee1/0"

#! schedule options
user: lkp

#! /db/releases/20250423094207/lkp-src/include/site/inn
dequeue_time: 2025-04-23 16:57:09.128097226 +08:00
job_state: finished
loadavg: 3.33 6.13 4.15 1/235 10253
start_time: '1745399230'
end_time: '1745399800'
version: "/lkp/lkp/.src-20250423-155637:3271d55f04cb-dirty:cf6c78b10c2a"
